Package net.shibboleth.idp.profile.interceptor.impl

# Class ExternalInterceptorImpl

java.lang.Object
net.shibboleth.idp.profile.interceptor.ExternalInterceptor
net.shibboleth.idp.profile.interceptor.impl.ExternalInterceptorImpl

public class ExternalInterceptorImpl extends ExternalInterceptor
Implementation of the `ExternalInterceptor` API that handles moving information in and out of request attributes.

Since:
  4.0.0

## Field Summary

### Fields inherited from class net.shibboleth.idp.profile.interceptor.ExternalInterceptor

`CONVERSATION_KEY, EVENT_KEY, SWF_KEY`

## Constructor Summary

Constructors
Constructor
Description
`ExternalInterceptorImpl()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doFinish(HttpServletRequest request, HttpServletResponse response, ProfileRequestContext profileRequestContext, ExternalInterceptorContext externalContext)`
Complete a request to an external interceptor by seeking out the information stored in request attributes and transferring to the session's conversation state, and then transfer control back to the webflow.

### Methods inherited from class net.shibboleth.idp.profile.interceptor.ExternalInterceptor

`doStart, finishExternalInterceptor, getExternalRedirect, getProfileRequestContext, startExternalInterceptor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExternalInterceptorImpl

public ExternalInterceptorImpl()

## Method Details

### doFinish

protected void doFinish(@Nonnull HttpServletRequest request, @Nonnull HttpServletResponse response, @Nonnull ProfileRequestContext profileRequestContext, @Nonnull ExternalInterceptorContext externalContext) throws IOException, ExternalInterceptorException
Complete a request to an external interceptor by seeking out the information stored in request attributes and transferring to the session's conversation state, and then transfer control back to the webflow.

Specified by:
  `doFinish` in class `ExternalInterceptor`
Parameters:
  `request` - servlet request
  `response` - servlet response
  `profileRequestContext` - profile request context
  `externalContext` - external interceptor context
Throws:
  `IOException` - if the redirect cannot be issued
  `ExternalInterceptorException` - if an error occurs